Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Class AbstractBackingMapManager

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.AbstractBackingMapManager`

All Implemented Interfaces:
  BackingMapManager

Direct Known Subclasses:
  DefaultConfigurableCacheFactory.Manager, DefaultConfigurableCacheFactory.PartitionedBackingMapManager

      public abstract class AbstractBackingMapManager

extends Base
implements BackingMapManager

Abstract base of the BackingMapManager implementations.

Since:
  Coherence 2.0
Author:
  gg 2002.09.21

Constructor Summary
`protected` | `AbstractBackingMapManager()` Default constructor.

Method Summary
`BackingMapManagerContext` | `getContext()` Determine the current BackingMapManagerContext for this BackingMapManager.
`void` | `init(BackingMapManagerContext context)` Called by a CacheService to indicate to this manager that the manager is being associated with the CacheService.
`abstract java.util.Map` | `instantiateBackingMap(java.lang.String sName)` Instantiate a [thread safe] Map that should be used by a CacheService to store cached values for a NamedCache with the specified name.
`void` | `releaseBackingMap(java.lang.String sName, java.util.Map map)` Release the specified Map that was created using the `instantiateBackingMap(String)` method.

Constructor Detail

### AbstractBackingMapManager

    protected AbstractBackingMapManager()

  Default constructor.

Method Detail

### init

    public void init(BackingMapManagerContext context)

  Called by a CacheService to indicate to this manager that the manager is being associated with the CacheService. This method is called once immediately upon the startup of the CacheService, before any NamedCache objects are created by the CacheService.

  Important note: BackingMapManager cannot be assosiated with more then one instance of a CacheService. However, in a situation when a CacheService automatically restarts, it is possible that this manager instance is re-used by a newly created (restarted) CacheService calling this method once again providing a new context.

  Specified by:
    `init` in interface `BackingMapManager`
  Parameters:
    `context` - the BackingMapManagerContext object for this BackingMapManager

### getContext

    public BackingMapManagerContext getContext()

  Determine the current BackingMapManagerContext for this BackingMapManager.
  Specified by:
    `getContext` in interface `BackingMapManager`
  Returns:
    the current context

### instantiateBackingMap

    public abstract java.util.Map instantiateBackingMap(java.lang.String sName)

  Instantiate a [thread safe] Map that should be used by a CacheService to store cached values for a NamedCache with the specified name.

  If the contents of the Map can be modified by anything other than the CacheService itself (e.g. if the Map automatically expires its entries periodically or size-limits its contents), then the returned object must implement the ObservableMap interface.

  Specified by:
    `instantiateBackingMap` in interface `BackingMapManager`
  Parameters:
    `sName` - the name of the NamedCache for which this backing map is being created
  Returns:
    an object implementing the Map interface that will provide backing storage for the specified cache name

### releaseBackingMap

    public void releaseBackingMap(java.lang.String sName,
                                  java.util.Map map)

  Release the specified Map that was created using the `instantiateBackingMap(String)` method. This method is invoked by the CacheService when the CacheService no longer requires the specified Map object.
  Specified by:
    `releaseBackingMap` in interface `BackingMapManager`
  Parameters:
    `sName` - the name of the NamedCache for which the specified Map object has acted as the backing map
    `map` - the Map object that is being released

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.